Subject: RE: Using cygwin "make"
From: "John Melody" <[email-masked]>
To: "Fleischer, Karsten (K.)" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 17 Jan 2001 13:10:00 -0000

Karsten, 

I have tried both and neither works. 

It never seems to execute the cd correctly.

With the following definitions 
CLASSES=D:\classes 

The command
 
D:\work>make --win32 -f d:\work\squash02\Makefile jar 
gives me the following output 
cd D:\classes ; jar -cvf d:\cm-build\checkmate-0.7.0\lib\classes.jar squ/
The filename,directory name or volume label syntax is incorrect 
make ***[jar] Error 1 
D:\work>

All the directories do exist but I just can't see what is wrong. 
Any help would be greatly appreciated. 

Regards, 
John. 

-----Original Message-----
From: Fleischer, Karsten (K.) [mailto:[email-masked]]
Sent: 17 January 2001 12:40
To: 'John Melody'; [email-masked]
Subject: RE: Using cygwin "make"

Hi John,

> I notice that the cd command does not work within the make 
> file. I have
> tried d:\classes, and d:/classes but to no avail.

Every single command line of the rule will be executed in its own shell
process, thus you end up in the original current dir in the second
statement.

You can put the commands on a single line, seperated by a semicolon:

	cd $(CLASSES); jar -cvf $(DISTRIBUTION_DIR)\lib\classes.jar squ/

Or you can use line continuation:

	cd $(CLASSES);                                    \
	jar -cvf $(DISTRIBUTION_DIR)\lib\classes.jar squ/

Karsten

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple